<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NSN News                                             */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/

global $admin_file;
if(!$admin_file OR $admin_file == "") { $admin_file = "admin"; }
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
    Header("Location: ../../".$admin_file.".php");
    die();
}
$modname = "News";
include_once("modules/$modname/admin/language/lang-".$currentlang.".php");
include_once("modules/Topics/admin/language/lang-".$currentlang.".php");
switch($op) {
    case 'homenews':
    case 'lastarticles':
    case 'NENewsConfig':
    case 'NENewsConfigSave':
    case 'YesDelCategory':
    case 'subdelete':
    case 'DelCategory':
    case 'NoMoveCategory':
    case 'EditCategory':
    case 'SaveEditCategory':
    case 'AddCategory':
    case 'SaveCategory':
    case 'DisplayStory':
    case 'PreviewAgain':
    case 'PostStory':
    case 'EditStory':
    case 'RemoveStory':
    case 'ChangeStory':
    case 'DeleteStory':
    case 'adminStory':
    case 'PreviewAdminStory':
    case 'PostAdminStory':
    case 'autoDelete':
    case 'autoEdit':
    case 'autoSaveEdit':
    case 'submissions':
    if (is_file('modules/News/admin/index.php')) {
    include_once('modules/News/admin/index.php');}
    break;

}